import { Sidebar } from "../Sidebar";
import { QueryClient, QueryClientProvider } from "react-query";
import { Route, Router, Switch } from "wouter";
import { Welcome } from "../Welcome";
import { GuildReminders } from "../GuildReminders";

export function App() {
    const queryClient = new QueryClient();

    return (
        <QueryClientProvider client={queryClient}>
            <>
                <Router base={"/dashboard"}>
                    <div class="columns is-gapless dashboard-frame">
                        <Sidebar></Sidebar>
                        <div class="column is-main-content">
                            <Switch>
                                <Route
                                    path={"/:guild/reminders"}
                                    component={GuildReminders}
                                ></Route>
                                <Route>
                                    <Welcome></Welcome>
                                </Route>
                            </Switch>
                        </div>
                    </div>
                </Router>
            </>
        </QueryClientProvider>
    );
}
